@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kdam+Thmor+Pro&display=swap');


body {
  cursor: none;
}

html {
  scroll-behavior: smooth;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: white;
  }
  
  li {
    float: right;
  }
  
  li a {
    display: block;
    color: black;
    padding: 14px 16px;
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
  }

  li a:hover {
    text-decoration: underline;
  }

  h1 {
    font-family: 'Libre Baskerville', serif;
    font-size: 100px;
    font-weight: 400;
    text-align: center;
  }

  h2 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 100px;
  text-align: center;
  font-weight: 700;
  text-transform: uppercase;
  color: transparent;
  background: linear-gradient(to left, #1e5799, #2ce0bf, #76dd2c, #dba62b, #e02cbf, #1e5799);
  background-size: 1000px 100%;
  animation: bg 15s linear infinite;
  background-clip: text;
  -webkit-background-clip: text;
}

@keyframes bg {
  0% {
    background-position-x: 0;
  }
  100% {
    background-position-x: 10000px;
  }

  }

  p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    text-align: center;
  }

.div1 {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

  .div1 a:link {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 60px;
    font-weight: 400;
    text-decoration: none;
  }

  .div1 a:hover {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 60px;
    font-weight: 400;
    text-decoration: underline;
  }

  .div1 a:active {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 60px;
    font-weight: 400;
    text-decoration: none;
  }

  .div1 a:visited {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 60px;
    font-weight: 400;
    text-decoration: none;
  }

  .div2 a:link {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 20px;
    font-weight: 400;
    text-decoration: none;
  }

  .div2 a:hover {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 20px;
    font-weight: 400;
    text-decoration: underline;
  }

  .div2 a:active {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 20px;
    font-weight: 400;
    text-decoration: underline;
  }

  .div2 a:visited {
    font-family: 'Libre Baskerville', serif;
    color: black;
    font-size: 20px;
    font-weight: 400;
    text-decoration: underline;
  }

  #mouse {
    transition-property: width,height,filter,transform;
    transition-duration: 75ms;
    transition-timing-function: ease-in-out;
    width: 10px;
    height: 10px;
    background-color: #FF55AA;
    position: fixed;
    border-radius: 50%;
    z-index: 10;
    transform: translateX(-5px) translateY(-5px);
    pointer-events: none;
}

#mouse.moving {
    width: 30px;
    height: 30px;
    transform: translateX(-15px) translateY(-15px);
    filter: blur(5px);
    transition-duration: 350ms;
}

h4 {
  font-family: "Kdom Thmor Pro", sans-serif;
  font-size: 100px;
  text-align: center;
  background-image: url("pink-gradient.png");
  background-repeat: no-repeat;
  background-position: -2000px -2000px;
  background-color: #fff;
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
  text-transform: uppercase;
  -webkit-text-stroke: 1px black;
}

#myBtn {
  display: none; /* Hidden by default */
  position: fixed; /* Fixed/sticky position */
  bottom: 20px; /* Place the button at the bottom of the page */
  right: 30px; /* Place the button 30px from the right */
  z-index: 99; /* Make sure it does not overlap */
  border: none; /* Remove borders */
  outline: none; /* Remove outline */
  background-color: #FF55AA; /* Set a background color */
  color: white; /* Text color */
  cursor: pointer; /* Add a mouse pointer on hover */
  padding: 15px; /* Some padding */
  border-radius: 10px; /* Rounded corners */
  font-size: 18px; /* Increase font size */
}

#myBtn:hover {
  background-color: #FF3B9D; /* Add a dark-grey background on hover */
}


.flex-container {
  display: flex;
  align-items: stretch;
}